<?php

namespace Drupal\synhelper\Hook;

/**
 * @file
 * Contains \Drupal\synhelper\Hook\EntityPresave.
 */

use Drupal\Core\Controller\ControllerBase;

/**
 * Controller routines for page example routes.
 */
class EntityPresave extends ControllerBase {

  /**
   * Page Callback.
   */
  public static function hook($entity) {
    if ($bundle = self::checkBundle($entity)) {
      if (!$entity->name->value) {
        $title = "$bundle - " . format_date(REQUEST_TIME, 'long');
        $entity->name->setValue($title);
      }
    }
    if ($type = self::checkNode($entity)) {
      if (!$entity->title->value) {
        $title = "$type - " . format_date(REQUEST_TIME, 'long');
        $entity->title->setValue($title);
      }
    }
  }

  /**
   * Check Bundle.
   */
  public static function checkBundle($entity) {
    $result = FALSE;
    if (method_exists($entity, 'bundle')) {
      if (property_exists($entity, 'name')) {
        $reflector = new \ReflectionClass(get_class($entity));
        if ($reflector->getProperty('name')->isPublic()) {
          $result = $entity->bundle();
        }
      }
    }
    return $result;
  }

  /**
   * Check node.
   */
  public static function checkNode($entity) {
    $result = FALSE;
    if (method_exists($entity, 'getType')) {
      if (property_exists($entity, 'title')) {
        $reflector = new \ReflectionClass(get_class($entity));
        if ($reflector->getProperty('title')->isPublic()) {
          $result = $entity->getType();
        }
      }
    }
    return $result;
  }

}
