<?php

namespace Drupal\synhelper\Hook;

use Drupal\Core\Controller\ControllerBase;

/**
 * AjaxContactForm.
 */
class FormFieldConfigEditFormAlter extends ControllerBase {

  /**
   * Hook.
   */
  public static function hook(&$form, $form_state, $form_id) {

    $current_path = \Drupal::service('path.current')->getPath();
    $path_args = explode('/', $current_path);

    // File.
    if (isset($form['settings']['max_filesize']['#default_value'])) {
      drupal_set_message('Это Файл! syndev.module\form_alter');
      $form['settings']['max_filesize']['#default_value'] = '25 MB';

      if (isset($form['settings']['file_directory'])) {
        $node_type = $path_args[5];
        $path = $node_type . '/[date:custom:Y]';
        $form['settings']['file_directory']['#default_value'] = $path;
      }
      if (isset($form['settings']['file_extensions'])) {
        $file_types = 'txt, jpg, jpeg, png, doc, docx, pdf, ods, xlsx, xls, zip, rar';
        $form['settings']['file_extensions']['#default_value'] = $file_types;
      }
    }
    // Картинка.
    if (isset($form['settings']['max_resolution'])) {
      drupal_set_message('Это Картинка! syndev.module\form_alter');
      if (isset($form['settings']['max_resolution']['x']['#default_value']) && $form['settings']['max_resolution']['x']['#default_value'] == '') {
        $form['settings']['max_resolution']['x']['#default_value'] = '2000';
      }
      if (isset($form['settings']['max_resolution']['y']['#default_value']) && $form['settings']['max_resolution']['y']['#default_value'] == '') {
        $form['settings']['max_resolution']['y']['#default_value'] = '1300';
      }
      if (isset($form['settings']['min_resolution']['x']['#default_value']) && $form['settings']['min_resolution']['x']['#default_value'] == '') {
        $form['settings']['min_resolution']['x']['#default_value'] = '800';
      }
      if (isset($form['settings']['min_resolution']['y']['#default_value']) && $form['settings']['min_resolution']['y']['#default_value'] == '') {
        $form['settings']['min_resolution']['y']['#default_value'] = '600';
      }
      $form['settings']['alt_field_required']['#default_value'] = FALSE;
      if (isset($form['settings']['max_filesize']['#default_value']) && $form['settings']['max_filesize']['#default_value'] == '') {
        $form['settings']['max_filesize']['#default_value'] = '5 MB';
      }
      if (isset($form['settings']['file_extensions'])) {
        $file_types = 'gif, jpg, jpeg, png';
        $form['settings']['file_extensions']['#default_value'] = $file_types;
      }
    }

    if ($form['label']['#default_value'] == 'Прикрепленные файлы' && isset($form['settings'])) {
      drupal_set_message('Прикрепленные файлы: кастом конфиг ' . __FUNCTION__);
      $form['settings']['description_field']['#default_value'] = TRUE;
    }

    if ($form['label']['#default_value'] == 'Галерея' && isset($form['settings'])) {
      drupal_set_message('Галерея: кастом конфиг ' . __FUNCTION__);
    }
  }

}
