<?php

namespace Drupal\synhelper\Hook;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Render\Markup;

/**
 * PreprocessHtml.
 */
class PreprocessHtml extends ControllerBase {

  /**
   * Hook.
   */
  public static function hook(&$variables) {
    /* массив ссылок, которые будут исключены из индексации*/
    $noindex_paths = [
      '/user/login',
      '/user/password',
    ];
    $current_path = \Drupal::service('path.current')->getPath();
    if (in_array($current_path, $noindex_paths)) {
      $noindex = [
        '#tag' => 'meta',
        '#attributes' => [
          'name' => 'robots',
          'content' => 'none',
        ],
      ];
      $variables['page']['#attached']['html_head'][] = [$noindex, 'indexation'];
    };
    $config = \Drupal::config('synhelper.settings');
    if ($config->get('no-index')) {
      $variables['page']['#attached']['html_head'][] = [
        [
          '#tag' => 'meta',
          '#attributes' => [
            'name'    => 'robots',
            'content' => 'none',
          ],
        ],
        'indexation',
      ];
      if (substr($current_path, 0, 7) == '/admin/') {
        $message = 'Внимание!! сайт не индексируется поисковиками.
        Снимите галочку <a href="/admin/config/synapse/synhelper">индексация запрещена</a>!';
        drupal_set_message(Markup::create($message), 'error');
      }
    }
  }

}
